/customerio-admin | Type: Application | PCID required: Yes
Tools
customerio_admin_create_webhook
Create a reporting webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
disabled | boolean | No | — | Set to true to quit sending events to the webhook URL. Set to false to enable the webhook. |
endpoint | string | Yes | — | The webhook URL. |
events | string[] | Yes | — | Specifies the types of events you want to report to your webhook. See our reporting webhooks reference for more information about event types and the information they return. |
full_resolution | boolean | No | — | Set to false to send unique open and click events to the webhook. Set to true to send all events. |
id | integer | No | — | The identifier for the webhook. |
name | string | Yes | — | The name of your webhook. |
with_content | boolean | No | — | Set to true to include the message body in _sent events. |
customerio_admin_delete_suppression
Un-suppress an ESP-suppressed address Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
suppression_type | string | Yes | — | The reason a person’s email address was suppressed by the email service provider (ESP). |
email_address | string | Yes | — | The email address of the person you want to look up. |
customerio_admin_delete_webhook
Delete a reporting webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | integer | Yes | — | The identifier of a webhook. |
customerio_admin_download_export
Download an export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
export_id | integer | Yes | — | The export_id you want to access. |
customerio_admin_export_deliveries_data
Export information about deliveries Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
body | object | No | — | Request body |
customerio_admin_export_people_data
Export customer data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
filters | object | Yes | — | When filtering for people, you can use and and or arrays to determine the logic for a group of filter conditions. not reverses the filter condition and matches when the condition is false. segment and attribute represent the individual conditions you can filter a group of people for. The top level of this object can only contain a single property, but you can nest and and or properties to produce complex filters. |
customerio_admin_get_cio_allowlist
List IP addressescustomerio_admin_get_domain_suppressions_by_type
Get ESP-suppressed emails by domain Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
domain_name | string | Yes | — | The sending domain you want to look up suppressions for. |
suppression_type | string | Yes | — | The reason a person’s email address was suppressed by the email service provider (ESP). |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
email | string | No | — | Filter results to a specific email address. When provided, returns at most one result and cursor-based pagination does not apply. |
customerio_admin_get_export
Get an export Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
export_id | integer | Yes | — | The export_id you want to access. |
customerio_admin_get_import
Retrieve a bulk import Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
import_id | integer | Yes | — | The id of the import you want to lookup. This value is returned from an import that was accepted and queued for processing. |
customerio_admin_get_sender
Get a sender Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sender_id | integer | Yes | — | The identifier of a sender. |
customerio_admin_get_sender_usage
Get sender usage data Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
sender_id | integer | Yes | — | The identifier of a sender. |
customerio_admin_get_suppression
Look up an ESP-suppressed address Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
email_address | string | Yes | — | The email address of the person you want to look up. |
customerio_admin_get_suppression_by_type
Get ESP-suppressed emails by type Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
suppression_type | string | Yes | — | The reason a person’s email address was suppressed by the email service provider (ESP). |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
offset | integer | No | — | The number of records to skip before retrieving results. |
domain | string | No | — | Filter by sending domain. |
customerio_admin_get_webhook
Get a reporting webhook Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | integer | Yes | — | The identifier of a webhook. |
customerio_admin_import
Import items in bulk Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
import | object | Yes | — | The import value |
customerio_admin_list_activities
List activities Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
type | string | No | — | The type of activity you want to search for. Types with _o:<object_type_id> are for objects and types with _r:<object_type_id> are for relationships. |
name | string | No | — | The name of the event or attribute you want to return. |
deleted | boolean | No | — | If true, return results for deleted people. |
customer_id | string | No | — | The identifier of the person you want to look up. By default, this is a person’s id. You can use the id_type parameter to look up a person by email or cio_id. If you use a person’s cio_id, you must prefix the value value with cio_ when using it to find or reference a person (i.e. cio_03000010 for a cio_id value of 03000010). |
id_type | string | No | — | The type of customer_id you want to use to reference a person. If you don’t provide this parameter, we assume that the customer_id in your request is a person’s id. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
customerio_admin_list_exports
List exportscustomerio_admin_list_senders
List sender identities Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
start | string | No | — | The token for the page of results you want to return. Responses contain a next property. Use this property as the start value to return the next page of results. |
limit | integer | No | — | The maximum number of results you want to retrieve per page. |
sort | string | No | — | Determine how you want to sort results, asc for chronological order and desc for reverse chronological order. |
customerio_admin_list_webhooks
List reporting webhookscustomerio_admin_list_workspaces
List workspacescustomerio_admin_post_suppression
Suppress an email at the ESP Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
suppression_type | string | Yes | — | The reason a person’s email address was suppressed by the email service provider (ESP). |
email_address | string | Yes | — | The email address of the person you want to look up. |
customerio_admin_update_attribute_metadata
Add or update attributes Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
attributes | object[] | Yes | — | Array of attribute updates |
customerio_admin_update_event_metadata
Add or update events Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
events | object[] | Yes | — | Array of event updates |
customerio_admin_update_webhook
Update a webhook configuration Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
webhook_id | integer | Yes | — | The identifier of a webhook. |
disabled | boolean | No | — | Set to true to quit sending events to the webhook URL. Set to false to enable the webhook. |
endpoint | string | No | — | The webhook URL. |
events | string[] | No | — | Specifies the types of events you want to report to your webhook. See our reporting webhooks reference for more information about event types and the information they return. |
full_resolution | boolean | No | — | Set to false to send unique open and click events to the webhook. Set to true to send all events. |
id | integer | No | — | The identifier for the webhook. |
name | string | No | — | The name of your webhook. |
with_content | boolean | No | — | Set to true to include the message body in _sent events. |

